_base_ = [
    '../_base_/models/ann_r50-d8.py',
    '../_base_/datasets/my_dataset_model.py', #换成自己定义的数据集
    '../_base_/default_runtime.py',
    '../_base_/schedules/schedule_4k_check_400.py'
]
# 算法名称解析：ann【Alg】 _ r50【pretrained模型深度】 - d8【_base_/models】 _ 4【GPU数量】 x b2【Batch Size大小】 - 40k【schedule】 _ cityscapes【数据集】 - 512x1024【crop_size】.py
crop_size = (512, 512) # 裁剪大小
data_preprocessor = dict(size=crop_size)
model = dict(
    pretrained='./My_Local_Model/open_mmlab/resnet50_v1c.pth', #'open-mmlab://resnet50_v1c',# './My_Local_Model/open_mmlab/resnest50.pth',
    backbone=dict(depth=50),
    data_preprocessor=data_preprocessor,
    decode_head=dict(
        num_classes=36, # TODO 设置不同分类种类
        loss_decode=dict(type='DiceLoss', use_sigmoid=False, loss_weight=1.0), # TODO 设置不同分类种类，它根据预测结果和真实标签的重叠区域来度量相似性
        align_corners=False, # 在test_cfg不用slide时【默认】
    ),
    auxiliary_head=dict(
        num_classes=36, # TODO 设置不同分类种类
        loss_decode=dict(type='DiceLoss', use_sigmoid=False, loss_weight=0.4), # TODO 设置不同分类种类，它根据预测结果和真实标签的重叠区域来度量相似性
        align_corners=False, # 在test_cfg不用slide时【默认】
    ),

)
